#!/bin/zsh

# Get the Bunch app name to control (we may be using the beta app)
appname=$(./fetchAppname.sh)

# Get the path where the bunches are stored
strBunchPath=$(osascript -e "tell application \"$appname\" to get preference \"Folder\"" | sed 's/^file:\/\///')

# Output the title - there may be one specified in the bunch file
strTitle=$(cat $strBunchPath$1.bunch | egrep "^title: " | sed "s/title: //")
if [[ "$strTitle" == "" ]]
then
	strTitle=$1 # Default to bunch base file name if no title specified
fi

# Output the title
echo -n $strTitle